POST /dataset/{dataset}/{version}/query/batch

unknown:gfw-data-api

Summary: Query Dataset List Post
Operation ID: query_dataset_list_post_dataset__dataset___version__query_batch_post
Auth: unknown
Description

Execute a READ-ONLY SQL query on the specified raster-based dataset version for a potentially large list of features. The features may be specified by an inline GeoJson feature collection, or a list of ResourceWatch geostore IDs, or the URI of vector file that is in any of a variety of formats supported by GeoPandas, include GeoJson and CSV format. For CSV files, the geometry column should be named "WKT" (not "WKB") and the geometry values should be in WKB format. The specified sql query will be run on each individual feature, and so may take a while. Therefore, the results of this query include a job_id. The user should then periodically query the specified job via the /job/{job_id} api. When the "data.status" indicates "success" or "partial_success", then the successful results will be available at the specified "data.download_link". When the "data.status" indicates "partial_success" or "failed", then failed results (likely because of improper geometries) will be available at "data.failed_geometries_link". If the "data.status" indicates "error", then there will be no results available (nothing was able to complete, possible because of an infrastructure problem). Limitations - The request payload must be under 256 KB. This limit does not apply to features provided in a file referenced using the `uri` field—use this option to include larger geometry data via an external file. - There is currently a five-minute time limit on the entire list query, but up to 100 individual feature queries proceed in parallel, so lists with several thousands of features can potentially be processed within that time limit.

Parameters (2)

dataset (string, path, required)

Constraints: {'pattern': '^[a-z][a-z0-9_-]{2,}$'}

version (string, path, required)

Constraints: {'pattern': '^v\\d{1,8}(\\.\\d{1,3}){0,2}?$|^latest$'}

No probe data for this endpoint yet.